Skip to main content
GET
List Resize Options

Authorizations

Authorization
string
header
required

API token from Dashboard > Settings > API Tokens.

Path Parameters

server_id
string<uuid>
required

Response

Successful Response

can_resize
boolean
required
blocked_code
string | null
required

Why can_resize is false, such as no_payment_method.

blocked_reason
string | null
required
current_plan
string
required
billing_period
string
required
current_price_period
number | null
required
period_end
string<date-time> | null
required
days_left
integer | null
required

Days left in the billing period.

card
ResizeCard · object | null
required

The card a resize charges.

promo
ResizePromo · object | null
required

The recurring promo code in effect on the server; it follows the server onto the new plan.

unpaid_invoice
UnpaidInvoice · object | null
required

A renewal invoice that must be paid before the server can be resized.

pending_resize
PendingResize · object | null
required
plans
ResizePlan · object[]
required